'use strict';

function toCamelCase(str) {
    return str.replace(/-([a-z])/g, g => g[1].toUpperCase());
}
function convertPropsToCamelCase(props) {
    const newProps = {};
    for (const key in props) {
        if (props.hasOwnProperty(key)) {
            const camelCaseKey = toCamelCase(key);
            newProps[camelCaseKey] = props[key];
        }
    }
    return newProps;
}

exports.convertPropsToCamelCase = convertPropsToCamelCase;
exports.toCamelCase = toCamelCase;
